MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000924VCMIMechanics - Otherpublic2012-04-09 16:232016-01-30 07:32
Reporterq4a 
Assigned ToSXX 
PrioritynormalSeverityminorReproducibilitysometimes
StatusclosedResolutionfixed 
Platformamd64OSUbuntuOS Version12.04 beta2
Product Version0.88 
Target VersionFixed in Version0.97c 
Summary0000924: Unnatural creatures in hero slot from tavern
DescriptionTested on r2621. See attached image:
I have 2 Castles and decided to buy new hero (Demoniac).
It has 2 creatures from Inferno and 1 from Castle.
I never seen different types of creature in tavern, so is it bug vcmi or feature?
TagsNo tags attached.
Attached Filespng file icon creatures.png [^] (920,470 bytes) 2012-04-09 16:23


7z file icon Autosave_1.7z [^] (163,673 bytes) 2012-04-10 03:30
png file icon e1.png [^] (357,186 bytes) 2012-04-10 07:00


txt file icon HOTRAITS.TXT [^] (8,143 bytes) 2012-04-10 11:26 [Show Content]

- Relationships

-  Notes
(0002349)
Tow (developer)
2012-04-10 02:30

Seems to be a bug in config files. Initial army is defined in txt config files, so you can give any hero any creature, but third creature of Marius is by default a Hell Hound.

Plese check if it is reproducible. Eg. put Marius on map with default army and check, what will appear when the game is started. You may need to start it over a few times, until Marius gets three stacks, recently introduced Ctrl+R can come handy.

In r2622 I've added additional diagnostics for this. When encountering an unknown creature in hero config it should spit out the searched creature name and available list.
(0002350)
q4a (reporter)
2012-04-10 03:43

I have uploaded save game, where Marius has 3rd creature = Pikeman, but I cannot find txt file, where initial army is defined.
vcmi/config/creatures.json - contain only abilities of creatures.
vcmi/config/hero.json - contain only start skill/spell.
Where is config file for initial army of hero?
(0002351)
Tow (developer)
2012-04-10 04:08

It's OH3 config file: HOTRAITS.TXT in h3bitmap.lod (or Data/ subfolder).
(0002352)
q4a (reporter)
2012-04-10 06:34

HOTRAITS.TXT looks fine and I cannot reproduce this bug with Marius on map with default army.
I got such bug 3-4 times in a week, so it's hard to reproduce and it happened only with hero from tavern + not on the 1st game's week.
Did you load attached Autosave_1? is it helpful?
(0002353)
Ivan (developer)
2012-04-10 09:22

Just in case - can you upload your HOTRAITS file? It can be localization issue or some weird formatting in it.
(0002354)
q4a (reporter)
2012-04-10 11:28

I've uploaded HOTRAITS.TXT.
Also, you can see on attached e1.png, that Marius has 3rd creature = Hell Hound, if Marius placed on map with default army.
(0002355)
Tow (developer)
2012-04-11 03:19

I've checked the save game. Apparently HOTRAITS and starting army entries are correct. The problem lies in the Reference Name => creature id mapping. I've extracted the list from the savegame: http://pastebin.com/7Eju04hA [^] It's missing many entries, AFAIR there should be more than 200 of them. Hell Hound is also missing.

The list is created by "creatures"->"name" entries in the config/creatures.json. But (assuming you haven't touched the file) I have no idea, why the list was incomplete, especially if the issue is not reproducible.
(0006384)
vmarkovtsev (developer)
2016-01-30 07:32

This ancient issue is no longer reproducible anyhow and was fixed.

- Issue History
Date Modified Username Field Change
2012-04-09 16:23 q4a New Issue
2012-04-09 16:23 q4a File Added: creatures.png
2012-04-10 02:30 Tow Note Added: 0002349
2012-04-10 02:30 Tow Assigned To => Tow
2012-04-10 02:30 Tow Status new => feedback
2012-04-10 03:30 q4a File Added: Autosave_1.7z
2012-04-10 03:43 q4a Note Added: 0002350
2012-04-10 03:43 q4a Status feedback => assigned
2012-04-10 04:08 Tow Note Added: 0002351
2012-04-10 06:34 q4a Note Added: 0002352
2012-04-10 07:00 q4a File Added: e1.png
2012-04-10 09:22 Ivan Note Added: 0002353
2012-04-10 11:26 q4a File Added: HOTRAITS.TXT
2012-04-10 11:28 q4a Note Added: 0002354
2012-04-11 03:19 Tow Note Added: 0002355
2015-12-21 14:22 SXX Assigned To Tow => SXX
2016-01-30 07:32 vmarkovtsev Note Added: 0006384
2016-01-30 07:32 vmarkovtsev Status assigned => closed
2016-01-30 07:32 vmarkovtsev Resolution open => fixed
2016-01-30 07:32 vmarkovtsev Fixed in Version => 0.97c

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean